* {
  margin: 0px;
  padding: 0px;
}

body,
html {
  overflow-x: hidden;
}

body {
  animation: fadeBody 1s ease-in-out;
}

@keyframes fadeBody {
  from {
    opacity: 0;
    transform: translateY(10px);
  }

  to {
    opacity: 1;
    transform: translateY(0);
  }
}

header {
  width: 100%;
  top: 0;
  left: 0;
  z-index: 10;
  position: absolute;
}

.head {
  max-width: 1400px;
  margin: 0 auto;
  display: grid;
  grid-template-columns: 1fr 8fr 1fr;
  align-items: center;
  grid-template-areas: "logo menu icons ";
  padding: 10px 10px;
}

.logo img {
  width: auto;
  height: auto;
  max-height: 75px;
}

.menu nav {
  align-items: center;
  justify-items: center;
}

.menu nav ul {
  list-style: none;
  display: flex;
  align-items: center;
  gap: 20px;
  color: rgb(236, 236, 232);
}

.menu nav ul li a {
  color: white;
  text-decoration: none;
}

.menu nav ul li a:hover {
  color: #c19f5f;
  text-decoration: none;
}

ul li {
  font-family: "Cormorant", serif;
  font-size: 20px;
}

.icons {
  display: flex;
  align-items: center;
  justify-content: end;
  gap: 20px;
  color: #c19f5f;
}

.menu {
  display: block;
}

.hamburger {
  display: none;
}

aside {
  display: none;
}

aside .menus nav ul li a {
  color: white;
  text-decoration: none;
}

aside .menus nav ul li a:hover {
  color: #c19f5f;
  text-decoration: none;
}

aside .menus nav ul li {
  font-size: 20px;
}

.galbgimgage {
  position: relative;
}

.galbgimgage img {
  width: 100%;
  height: 60vh;
  object-fit: cover;
}

.galoverlay {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  background: rgba(14, 1, 1, 0.4);
  z-index: 5;
}

.gallimgcontent {
  position: absolute;
  width: 100%;
  text-align: center;
  bottom: 40%;
  z-index: 7;
}

.gallimgcontent h2 {
  color: rgba(255, 255, 255, 0.849);
  font-size: 4.5rem;
  font-family: "Cormorant", serif;
  ;
}

.gallerysection {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  padding: 70px 60px;
  gap: 40px;
  background-color: black;
}

.gall-img {
  perspective: 1000px;
  transform-style: preserve-3d;
  overflow: hidden;
  width: 100%;
  height: 70%;
  position: relative;
  overflow: hidden;
}

.gall-img::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.4);
  opacity: 0;
  transition: opacity 0.3s ease-in-out;
}

.gall-img:hover::after {
  opacity: 1;
}

.gall-img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 10px;
  transition: transform 0.8s ease;
  transform-style: preserve-3d;
}

.gall-img:hover img {
  animation: spin 4s linear infinite;
}

@keyframes spin {
  0% {
    transform: rotateX(0deg) rotateY(0deg);
  }

  100% {
    transform: rotateX(360deg) rotateY(360deg);
  }
}

.gall-text h4 {
  margin-top: 30px;
  color: #c19f5f;
  font-size: 1.8rem;
  font-family: "Cormorant", serif;
  margin-bottom: 10px;
  text-align: center;
  transition: all 0.3s ease-in-out;
}

.gallerycontent:hover .gall-text h4 {
  color: #cac9c9;
  transform: scale(1.1);
  text-shadow: 0 0 10px #d88f07;
}

.gallerycontent-item:hover .gall-text h4::after {
  width: 80%;
  background-color: #fff;
}

.foot {
  position: relative;
  background-color: black;
  color: white;
}

.foot {
  position: relative;
  background-color: black;
  color: white;
}

.footimg {
  position: absolute;
  height: 100%;
  width: 100%;
  top: 0;
  left: 0;
  z-index: 0;
}

.footimg::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-image: url("assets/images/bgfooter.png");
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  z-index: 0;
  opacity: 0.6;
}

.footer-section {
  padding-top: 16rem;
}

.footer {
  position: relative;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 70px;
  z-index: 1;
  align-items: center;
  justify-content: center;
}

.logo {
  display: flex;
  align-items: flex-start;
  justify-content: flex-start;
  text-align: left;
  margin-left: 10px;
}

.logointro .Exploresection .Post {
  display: flex;
  flex-direction: column;
}

.logointro .logopara,
.links {
  margin-top: 30px;
}

.logointro .logopara p {
  color: white;
  font-size: 20px;
  font-family: "Cormorant", serif;
  margin: 0;
}

.logointro .links {
  display: flex;
  gap: 20px;
}

.logointro .links i {
  color: #c19f5f;
  font-size: 20px;
}

.Exploresection .phone,
.location,
.mail {
  display: flex;
  flex-direction: row;
  gap: 30px;
  margin-bottom: 10px;
}

.Exploresection .phone i,
.location i,
.mail i {
  color: #caa96b;
  font-size: 20px;
}

.Exploresection .phonedetails h6,
.locationdetails h6,
.maildetails h6 {
  color: #caa96b;
  font-size: 16px;
  font-family: "Cormorant", serif;
  margin-bottom: 0px;
  letter-spacing: 4px;
}

.Exploresection .phonedetails p,
.locationdetails p,
.maildetails p {
  color: rgba(224, 222, 222, 0.925);
  font-size: 20px;
  font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
  margin-bottom: 10px;
}

.Exploresection h3,
.Post h3 {
  color: #c19f5f;
  font-size: 2.0rem;
  font-family: "Cormorant", serif;
  margin-bottom: 30px;
}

.Post .Posts {
  display: flex;
  flex-direction: row;
  gap: 30px;
  margin-bottom: 25px;
}

.Post .Posts .postinfo h6 {
  color: #c19f5f;
  font-size: 16px;
  font-family: "Cormorant", serif;
  margin-bottom: 0;
}

.Post .Posts .postinfo p {
  color: white;
  font-size: 20px;
  font-family: "Cormorant", serif;
}

.Post .Posts img {
  width: 70px;
  height: 70px;
}

.foot-end {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  text-align: center;
  padding-top: 10%;
}

.foot-end p {
  font-size: 16px;
  margin-bottom: 20px;
  z-index: 5;
}

.foot-end p span {
  color: white;
}

.foot-end .footcolor {
  color: #c19f5f;
}

@media(max-width:1440px) {
  .head {
    grid-template-areas: "menu logo icons";
    padding-left: 20px;
    padding-right: 20px;
    gap: 15px;

  }

  .hamburger {
    display: block;
    color: white;
  }

  .hamburger i {
    font-size: 30px;
  }

  .menu {
    display: none;
  }

  aside {
    color: rgb(252, 249, 249);
    background-color: #10181fcc;
    position: absolute;
    top: 0;
    left: 0;
    width: 300px;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    transform: translateX(-300px);
    transition: all 0.5s ease-in-out;
  }

  aside .menus nav ul {
    list-style: none;
  }

  aside .menus nav ul li {
    font-size: 20px;
    margin-bottom: 40px;
  }

  aside .menus nav ul li:hover {
    color: #c19f5f;
  }

  .close {
    position: absolute;
    top: 20px;
    right: 10px;
  }

  .close i {
    font-size: 30px;
  }

  .icons i {
    font-size: 20px;
  }
}

@media (max-width: 1024px) {
  .head {
    grid-template-areas: "menu logo icons";
    padding-left: 20px;
    padding-right: 20px;
    gap: 10px;
  }

  .hamburger {
    display: block;
    color: white;
  }

  .hamburger i {
    font-size: 30px;
  }

  aside {
    color: rgb(252, 249, 249);
    background-color: #172430CC;
    position: absolute;
    top: 0;
    left: 0;
    width: 300px;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    transform: translateX(-300px);
    transition: all 0.5s ease-in-out;
  }

  aside .menus nav ul {
    list-style: none;
  }

  aside .menus nav ul li {
    font-size: 24px;
    margin-bottom: 40px;
  }

  aside .menus nav ul li:hover {
    color: #caa96b;
  }

  .close {
    position: absolute;
    top: 20px;
    right: 10px;
  }

  .close i {
    font-size: 30px;
  }

  .menu {
    display: none;
  }

  .icons i {
    font-size: 20px;
  }

  .gallimgcontent h2 {
    font-size: 3.5rem;
  }

  .gallerysection {
    grid-template-columns: 1fr 1fr;
  }

  .gall-text h4 {
    font-size: 1.5rem;
  }

  .footimg {
    height: 100vh;
  }

  .footer-section {
    width: 40%;
  }

  .footer {
    grid-template-columns: 1fr;
    gap: 70px;
    text-align: center;
    padding-bottom: 3rem;
  }

  .logo {
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
  }

  .logointro .links {

    align-items: center;
    justify-content: center;
  }

  .Post {
    display: none;
  }

  .Exploresection .phone,
  .location,
  .mail {
    justify-content: flex-start;
    align-items: flex-start;
    margin-left: 20px;
  }

  .Exploresection .phonedetails,
  .locationdetails,
  .maildetails {
    margin-bottom: 10px;
    text-align: left;
  }

  .Exploresection h3,
  .Post h3 {
    font-size: 1.8rem;
  }
}

@media (max-width: 820px) {
  .head {
    grid-template-areas: "menu logo icons";
    padding-left: 20px;
    padding-right: 20px;
    gap: 10px;
  }

  .hamburger {
    display: block;
    color: white;
  }

  .hamburger i {
    font-size: 30px;
  }

  aside {
    color: rgb(252, 249, 249);
    background-color: #172430CC;
    position: absolute;
    top: 0;
    left: 0;
    width: 300px;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    transform: translateX(-300px);
    transition: all 0.5s ease-in-out;
  }

  aside .menus nav ul {
    list-style: none;
  }

  aside .menus nav ul li {
    font-size: 24px;
    margin-bottom: 40px;
  }

  aside .menus nav ul li:hover {
    color: #caa96b;
  }

  .close {
    position: absolute;
    top: 20px;
    right: 10px;
  }

  .close i {
    font-size: 30px;
  }

  .menu {
    display: none;
  }

  .icons i {
    font-size: 20px;
  }

  .gallimgcontent h2 {
    font-size: 3.5rem;
  }

  .gallerysection {
    grid-template-columns: 1fr 1fr;
  }

  .gall-text h4 {
    font-size: 1.5rem;
  }

  .footimg {
    height: 100vh;
  }

  .footer-section {
    width: 50%;
  }

  .footer {
    grid-template-columns: 1fr;
    justify-content: center;
    align-items: center;
    gap: 70px;
    text-align: center;
  }

  .logointro .logopara p {
    font-size: 20px;
  }

  .logointro .links {

    align-items: center;
    justify-content: center;
  }

  .Post {
    display: none;
  }

  .Exploresection .phone,
  .location,
  .mail {
    justify-content: flex-start;
    align-items: flex-start;
    margin-left: 20px;
  }

  .Exploresection .phonedetails,
  .locationdetails,
  .maildetails {
    margin-bottom: 10px;
    text-align: left;
  }

  .Exploresection .phonedetails p,
  .locationdetails p,
  .maildetails p {
    font-size: 18px;
  }

  .Exploresection h3,
  .Post h3 {
    font-size: 1.8rem;
  }

}

@media (max-width: 600px) {
  .head {
    grid-template-areas: "menu logo icons";
    padding-left: 20px;
    padding-right: 20px;
    gap: 10px;
  }

  .hamburger {
    display: block;
    color: white;
  }

  .hamburger i {
    font-size: 30px;
  }

  aside {
    color: rgb(252, 249, 249);
    background-color: #172430CC;
    position: absolute;
    top: 0;
    left: 0;
    width: 300px;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    transform: translateX(-300px);
    transition: all 0.5s ease-in-out;
  }

  aside .menus nav ul {
    list-style: none;
  }

  aside .menus nav ul li {
    font-size: 24px;
    margin-bottom: 40px;
  }

  aside .menus nav ul li:hover {
    color: #c19f5f;
  }

  .close {
    position: absolute;
    top: 20px;
    right: 10px;
  }

  .close i {
    font-size: 30px;
  }

  .icons i {
    font-size: 20px;
  }

  .menu {
    display: none;
  }

  .gallimgcontent h2 {
    font-size: 3.5rem;
  }

  .gallerysection {
    grid-template-columns: 1fr;
  }

  .gall-text h4 {
    font-size: 1.9rem;
  }

  .footimg {
    height: 100vh;
  }

  .footer-section {
    width: 70%;
  }

  .footer {
    grid-template-columns: 1fr;
    justify-content: center;
    align-items: center;
    gap: 70px;
    text-align: center;
  }

  .logointro .logopara p {
    font-size: 20px;
  }

  .logointro .links {

    align-items: center;
    justify-content: center;
  }

  .Post {
    display: none;
  }

  .Exploresection .phone,
  .location,
  .mail {
    justify-content: flex-start;
    align-items: flex-start;
    margin-left: 20px;
  }

  .Exploresection .phonedetails,
  .locationdetails,
  .maildetails {
    margin-bottom: 10px;
    text-align: left;
  }

  .Exploresection .phonedetails p,
  .locationdetails p,
  .maildetails p {
    font-size: 18px;
  }

  .Exploresection h3,
  .Post h3 {
    font-size: 1.8rem;
  }
}

@media (max-width: 520px) {
  .head {
    grid-template-areas: "menu logo icons";
    padding-left: 20px;
    padding-right: 20px;
    gap: 10px;
  }

  .hamburger {
    display: block;
    color: white;
  }

  .hamburger i {
    font-size: 30px;
  }

  aside {
    color: rgb(252, 249, 249);
    background-color: #172430CC;
    position: absolute;
    top: 0;
    left: 0;
    width: 300px;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    transform: translateX(-300px);
    transition: all 0.5s ease-in-out;
  }

  aside .menus nav ul {
    list-style: none;
  }

  aside .menus nav ul li {
    font-size: 24px;
    margin-bottom: 40px;
  }

  aside .menus nav ul li:hover {
    color: #c19f5f;
  }

  .close {
    position: absolute;
    top: 20px;
    right: 10px;
  }

  .close i {
    font-size: 30px;
  }

  .icons i {
    font-size: 20px;
  }

  .menu {
    display: none;
  }

  .gallimgcontent h2 {
    font-size: 3.5rem;
  }

  .gallerysection {
    grid-template-columns: 1fr;
  }

  .gall-text h4 {
    font-size: 1.8rem;
  }

  .footimg {
    height: 100vh;
  }

  .footer-section {
    width: 70%;
  }

  .footer {
    grid-template-columns: 1fr;
    justify-content: center;
    align-items: center;
    gap: 70px;
    text-align: center;
    padding-bottom: 1rem;
  }

  .logointro .links {

    align-items: center;
    justify-content: center;
  }

  .logointro .logopara p {
    font-size: 18px;
  }

  .Post {
    display: none;
  }

  .Exploresection .phone,
  .location,
  .mail {
    justify-content: flex-start;
    align-items: flex-start;
    margin-left: 20px;
  }

  .Exploresection .phonedetails,
  .locationdetails,
  .maildetails {
    margin-bottom: 10px;
    text-align: left;
  }

  .Exploresection h3,
  .Post h3 {
    font-size: 1.8rem;
  }

  .Exploresection h3,
  .Post h3 {
    font-size: 1.8rem;
  }

  .Exploresection .phonedetails h6,
  .locationdetails h6,
  .maildetails h6 {
    font-size: 16px;
    font-family: "Mulish", sans-serif;
  }

  .Exploresection .phonedetails p,
  .locationdetails p,
  .maildetails p {
    font-size: 16px;
    font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif
  }

  .Post {
    display: none;
  }

  .foot-end {
    margin-top: 70px;
    text-align: center;
    justify-content: center;
    padding-bottom: 10px;
  }

  .foot-end p {
    font-size: 14px;
    line-height: 1.5;
    margin-bottom: 0;
  }
}

@media (max-width: 375px) {
  .head {
    grid-template-areas: "menu logo icons";
    padding-left: 20px;
    padding-right: 20px;
    gap: 10px;
  }

  .hamburger {
    display: block;
    color: white;
  }

  .hamburger i {
    font-size: 30px;
  }

  aside {
    color: rgb(252, 249, 249);
    background-color: #172430CC;
    position: absolute;
    top: 0;
    left: 0;
    width: 300px;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    transform: translateX(-300px);
    transition: all 0.5s ease-in-out;
  }

  aside .menus nav ul {
    list-style: none;
  }

  aside .menus nav ul li {
    font-size: 24px;
    margin-bottom: 40px;
  }

  aside .menus nav ul li:hover {
    color: #c19f5f;
  }

  .close {
    position: absolute;
    top: 20px;
    right: 10px;
  }

  .close i {
    font-size: 30px;
  }

  .icons i {
    font-size: 20px;
  }

  .menu {
    display: none;
  }

  .gallimgcontent h2 {
    font-size: 3.5rem;
  }

  .gallerysection {
    grid-template-columns: 1fr;
    padding: 30px;
  }

  .gall-text h4 {
    font-size: 1.5rem;
  }

  .footimg {
    height: 100vh;
  }

  .footer-section {
    width: 100%;
  }

  .footer {
    grid-template-columns: 1fr;
    justify-content: center;
    align-items: center;
    gap: 70px;
    text-align: center;

  }

  .logointro .logopara p {
    font-size: 18px;
  }

  .logointro .links {

    align-items: center;
    justify-content: center;
  }

  .Post {
    display: none;
  }

  .Exploresection .phone,
  .location,
  .mail {
    justify-content: flex-start;
    align-items: flex-start;
    margin-left: 20px;
  }

  .Exploresection .phonedetails,
  .locationdetails,
  .maildetails {
    margin-bottom: 10px;
    text-align: left;
  }

  .Exploresection h3,
  .Post h3 {
    font-size: 1.8rem;
  }

  .Exploresection h3,
  .Post h3 {
    font-size: 1.8rem;
  }

  .Exploresection .phonedetails h6,
  .locationdetails h6,
  .maildetails h6 {
    font-size: 16px;
    font-family: "Mulish", sans-serif;
  }

  .Exploresection .phonedetails p,
  .locationdetails p,
  .maildetails p {
    font-size: 16px;
    font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif
  }

  .Post {
    display: none;
  }

  .foot-end {

    text-align: center;
    justify-content: center;
    padding: 10px;
  }

  .foot-end p {
    font-size: 14px;
    line-height: 1.5;
    margin-bottom: 20px;

  }
}